#375830 - Don't send SIGINT to terminal emulator unnecessarily
ClosedPublic

Authored by palant on Feb 2 2017, 9:11 PM.

Details

Reviewers
asensi
martinkostolny
abika
Group Reviewers
Krusader
Summary

This leaves clearing current command line as default behavior which is sane. However, this change adds a parameter clearCommand to the sendInput() method to override this behavior. Inserting the file name and pasting are the scenarios where it is actually undesirable to clear the current command.

Test Plan

Inserting file name (Ctrl+Enter) shouldn't clear command line, both when the focus is inside the terminal and on the file list. Same should go for pasting text (Ctrl+V inside the terminal). The automatic cd command sent when current directory changes in the list should still clear command line (bug 328068 should not regress).

Diff Detail

Repository
R167 Krusader
Lint
Lint Skipped
Unit
Unit Tests Skipped
palant retitled this revision from to #375830 - Don't send SIGINT to terminal emulator unnecessary.Feb 2 2017, 9:11 PM
palant updated this object.
palant edited the test plan for this revision. (Show Details)
palant added a reviewer: Krusader.
palant set the repository for this revision to R167 Krusader.
palant added a project: Krusader.
palant retitled this revision from #375830 - Don't send SIGINT to terminal emulator unnecessary to #375830 - Don't send SIGINT to terminal emulator unnecessarily.Feb 3 2017, 12:05 PM
abika accepted this revision.Feb 4 2017, 2:09 PM
abika added a reviewer: abika.
abika added a subscriber: abika.

Thanks for the fix!

This revision is now accepted and ready to land.Feb 4 2017, 2:09 PM
martinkostolny accepted this revision.Feb 4 2017, 2:44 PM
martinkostolny added a reviewer: martinkostolny.
martinkostolny added a subscriber: martinkostolny.

Thanks!

asensi accepted this revision.Feb 5 2017, 7:47 AM
asensi added a reviewer: asensi.
asensi added a subscriber: asensi.

Great! Thanks, Wladimir!

abika closed this revision.Feb 13 2017, 8:54 PM

Merged with master